Index: libfdproto/sessions.c
===================================================================
--- libfdproto/sessions.c	(revision 928)
+++ libfdproto/sessions.c	(revision 974)
@@ -882,13 +882,13 @@
 		return;
 	
-	fd_log_debug("\t  %*s -- Session @%p --\n", level, "", session);
+	fd_log_debug("\t  %*s -- Session @%p --", level, "", session);
 	if (!VALIDATE_SI(session)) {
-		fd_log_debug("\t  %*s  Invalid session object\n", level, "");
+		fd_log_debug("\t  %*s  Invalid session object", level, "");
 	} else {
 		
-		fd_log_debug("\t  %*s  sid '%s'(%zd), hash %x, msg %d, destroyed %d\n", level, "", session->sid, session->sidlen, session->hash, session->msg_cnt, session->is_destroyed);
+		fd_log_debug("\t  %*s  sid '%s'(%zd), hash %x, msg %d, destroyed %d", level, "", session->sid, session->sidlen, session->hash, session->msg_cnt, session->is_destroyed);
 
 		strftime(buf, sizeof(buf), "%D,%T", localtime_r( &session->timeout.tv_sec , &tm ));
-		fd_log_debug("\t  %*s  timeout %s.%09ld\n", level, "", buf, session->timeout.tv_nsec);
+		fd_log_debug("\t  %*s  timeout %s.%09ld", level, "", buf, session->timeout.tv_nsec);
 
 		CHECK_POSIX_DO( pthread_mutex_lock(&session->stlock), /* ignore */ );
@@ -896,10 +896,10 @@
 		for (li = session->states.next; li != &session->states; li = li->next) {
 			struct state * st = (struct state *)(li->o);
-			fd_log_debug("\t  %*s    handler %d registered data %p\n", level, "", st->hdl->id, st->state);
+			fd_log_debug("\t  %*s    handler %d registered data %p", level, "", st->hdl->id, st->state);
 		}
 		pthread_cleanup_pop(0);
 		CHECK_POSIX_DO( pthread_mutex_unlock(&session->stlock), /* ignore */ );
 	}
-	fd_log_debug("\t  %*s -- end of session @%p --\n", level, "", session);
+	fd_log_debug("\t  %*s -- end of session @%p --", level, "", session);
 }
 
@@ -909,11 +909,11 @@
 		return;
 	
-	fd_log_debug("\t  %*s -- Handler @%p --\n", level, "", handler);
+	fd_log_debug("\t  %*s -- Handler @%p --", level, "", handler);
 	if (!VALIDATE_SH(handler)) {
-		fd_log_debug("\t  %*s  Invalid session handler object\n", level, "");
+		fd_log_debug("\t  %*s  Invalid session handler object", level, "");
 	} else {
-		fd_log_debug("\t  %*s  id %d, cleanup %p, opaque %p\n", level, "", handler->id, handler->cleanup, handler->opaque);
-	}
-	fd_log_debug("\t  %*s -- end of handler @%p --\n", level, "", handler);
+		fd_log_debug("\t  %*s  id %d, cleanup %p, opaque %p", level, "", handler->id, handler->cleanup, handler->opaque);
+	}
+	fd_log_debug("\t  %*s -- end of handler @%p --", level, "", handler);
 }	
 
Index: tests/testcnx.c
===================================================================
--- tests/testcnx.c	(revision 859)
+++ tests/testcnx.c	(revision 974)
@@ -714,5 +714,5 @@
 		#if 0
 		/* For debug: dump the object */
-		fd_log_debug("Dumping CER\n");
+		fd_log_debug("Dumping CER");
 		fd_msg_dump_walk(0, cer);
 		#endif
Index: tests/testmesg.c
===================================================================
--- tests/testmesg.c	(revision 931)
+++ tests/testmesg.c	(revision 974)
@@ -61,5 +61,5 @@
 		#if 0
 		/* For debug: dump the object */
-		fd_log_debug("Dumping Accounting-Request empty message\n");
+		fd_log_debug("Dumping Accounting-Request empty message");
 		fd_msg_dump_walk( 0, acr );
 		#endif
@@ -78,7 +78,7 @@
 		#if 0
 		/* For debug: dump the object */
-		fd_log_debug("Dumping Proxy-Info AVP\n");
+		fd_log_debug("Dumping Proxy-Info AVP");
 		fd_msg_dump_walk(0, pi);
-		fd_log_debug("Dumping dictionary model\n");
+		fd_log_debug("Dumping dictionary model");
 		fd_dict_dump_object(pi_model);
 		#endif
@@ -106,5 +106,5 @@
 		#if 0
 		/* For debug: dump the object */
-		fd_log_debug("Dumping Accounting-Request with Proxy-Info AVP at the end\n");
+		fd_log_debug("Dumping Accounting-Request with Proxy-Info AVP at the end");
 		fd_msg_dump_walk(0, acr);
 		#endif
@@ -364,5 +364,5 @@
 			CHECK( 0, fd_msg_update_length ( avpi ) );
 			#if 0
-			fd_log_debug("AVP no vendor, value 3.1415:\n");
+			fd_log_debug("AVP no vendor, value 3.1415:");
 			fd_msg_dump_one(0, avpi);
 			#endif
@@ -381,5 +381,5 @@
 			CHECK( 0, fd_msg_update_length ( avpi ) );
 			#if 0
-			fd_log_debug("AVP vendor, value 0x123456789abcdeL:\n");
+			fd_log_debug("AVP vendor, value 0x123456789abcdeL:");
 			fd_msg_dump_one(0, avpi);
 			#endif
@@ -407,5 +407,5 @@
 				CHECK( 0, fd_msg_avp_setvalue ( avpi, &request.search.enum_value ) );
 				#if 0
-				fd_log_debug("AVP enum i32, value 2 (from const):\n");
+				fd_log_debug("AVP enum i32, value 2 (from const):");
 				fd_msg_dump_one(0, avpi);
 				#endif
@@ -428,5 +428,5 @@
 				CHECK( 0, fd_msg_avp_setvalue ( avpi, &request.search.enum_value ) );
 				#if 0
-				fd_log_debug("AVP enum i32, value -5 (from const):\n");
+				fd_log_debug("AVP enum i32, value -5 (from const):");
 				fd_msg_dump_one(0, avpi);
 				#endif
@@ -443,5 +443,5 @@
 			CHECK( 0, fd_msg_update_length ( avpi ) );
 			#if 0
-			fd_log_debug("AVP vendor enum i32, value -10 (not const):\n");
+			fd_log_debug("AVP vendor enum i32, value -10 (not const):");
 			fd_msg_dump_one(0, avpi);
 			#endif
@@ -458,5 +458,5 @@
 				CHECK( 0, fd_msg_update_length ( avpi ) );
 				#if 0
-				fd_log_debug("AVP octet string, 'This\\0 is a b...'\n");
+				fd_log_debug("AVP octet string, 'This\\0 is a b...'");
 				fd_msg_dump_one(0, avpi);
 				#endif
@@ -487,5 +487,5 @@
 				CHECK( 0, fd_msg_avp_setvalue ( avpi, &request.search.enum_value ) );
 				#if 0
-				fd_log_debug("AVP Enumuerated OctetString (from const):\n");
+				fd_log_debug("AVP Enumuerated OctetString (from const):");
 				fd_msg_dump_one(0, avpi);
 				#endif
@@ -512,5 +512,5 @@
 				CHECK( 0, fd_msg_avp_setvalue ( avpi, &request.search.enum_value ) );
 				#if 0
-				fd_log_debug("AVP Enumuerated OctetString (from const):\n");
+				fd_log_debug("AVP Enumuerated OctetString (from const):");
 				fd_msg_dump_one(0, avpi);
 				#endif
@@ -534,5 +534,5 @@
 				CHECK( 0, fd_msg_avp_setvalue ( avpch, &value ) );
 				#if 0
-				fd_log_debug("AVP octet string, '1234678'\n");
+				fd_log_debug("AVP octet string, '1234678'");
 				fd_msg_dump_one(0, avpch);
 				#endif
@@ -547,5 +547,5 @@
 				CHECK( 0, fd_msg_avp_setvalue ( avpch, &value ) );
 				#if 0
-				fd_log_debug("AVP octet string, '12346789'\n");
+				fd_log_debug("AVP octet string, '12346789'");
 				fd_msg_dump_one(0, avpch);
 				#endif
